Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.bea.p13n.security.management.credentials
Enum CredentialEntry.EntryType

    java.lang.Object
      java.lang.Enum<CredentialEntry.EntryType>
          com.bea.p13n.security.management.credentials.CredentialEntry.EntryType

All Implemented Interfaces
  Serializable, Comparable<CredentialEntry.EntryType>

Enclosing interface:
  CredentialEntry

    public static enum CredentialEntry.EntryType

extends Enum<CredentialEntry.EntryType>

Specify the binding type of a credential entry

Enum Constant Summary
`RESOURCE_TYPE` Credential entry is bound to specific resource instance Credential with this type is isolated to specific ResourceId and its requesting user. Resource with same type/class but different instance should have different ResourceId, so they should not not share the entry. Developer should choose ResourceId very carefully to avoid name collision
`SYSTEM_TYPE` Credential entry is bound to system Credentials with this binding is shared from all resources and all users within specific spplication or domain scope.
`USER_TYPE` Credential entry is bound to specific user. Credential with this binding is shared from all resources belong to requesting user

Method Summary
`static CredentialEntry.EntryType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CredentialEntry.EntryType[]` | `values()` Returns an array containing the constants of this enum type, in the order theyre declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### RESOURCE_TYPE

    public static final CredentialEntry.EntryType RESOURCE_TYPE

  Credential entry is bound to specific resource instance
  Credential with this type is isolated to specific ResourceId and its requesting user. Resource with same type/class but different instance should have different ResourceId, so they should not not share the entry. Developer should choose ResourceId very carefully to avoid name collision

### USER_TYPE

    public static final CredentialEntry.EntryType USER_TYPE

  Credential entry is bound to specific user.
  Credential with this binding is shared from all resources belong to requesting user

### SYSTEM_TYPE

    public static final CredentialEntry.EntryType SYSTEM_TYPE

  Credential entry is bound to system
  Credentials with this binding is shared from all resources and all users within specific spplication or domain scope.

  Note: Depends on application scope, credential created for webapp scope may not visible by an entapp-scoped resource

Method Detail

### values

    public static final CredentialEntry.EntryType[] values()

  Returns an array containing the constants of this enum type, in the order theyre declared.

### valueOf

    public static CredentialEntry.EntryType valueOf(String name)

  Returns the enum constant of this type with the specified name.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved